% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/elevation_correct.R
\name{elevation_correct}
\alias{elevation_correct}
\title{Generate reliable elevation data.}
\usage{
elevation_correct(data, country, dir = "default")
}
\arguments{
\item{data}{a dataset with longitude ("lng") and lattitude ("lat") columns.}

\item{country}{character string; the country to which the data pertain, given
as an ISO3 code (see \code{raster::getData("ISO3")})}

\item{dir}{the directory in which the necessary elevation data is contained
  or should be downloaded. "default" creates a hidden directory
  (.elevation_data) in the home directory.}
}
\value{
a vector of elevation values. If there is an error at any stage, a
  vector of NAs is returned.
}
\description{
Using the latitude and longitude columns of the supplied \emph{formatted}
data, a vector of elevation values is returned of the same length. If no
elevation data files exist within the specified directory, files are first
downloaded. Note that NAs in the data will return corresponding NAs in the
corrected elevation.
}
\examples{
data(cycling_data)
cycling_data$elevation.m <- elevation_correct(cycling_data, "GBR")
}
\seealso{
\code{\link{download_elev_data}}.
}

